Lookup a customer's relationships
Return a list of objects that a person is related to.
You can use the start parameter with the next property in responses to return pages of results. However, it's possible that you'll see duplicate entries across pages. If you want to export objects or relationships, you may want to use the export feature in our UI to return complete results.
- Type: stringcustomer
_id requiredThe ID of the customer you want to perform an operation against.
- Type: stringenumid
_type The type of
customer_idyou want to use to reference a person. If you don't provide this parameter, we assume that thecustomer_idin your request is a person'sid. You can useemailandphoneonly if they're enabled as identifiers in your workspace settings; otherwise the request returns400. Referencephonevalues in E.164 format, like+14155552671, and URL-encode the leading+as%2B.values- id
- email
- phone
- cio
_id
- Type: stringstart
The token for the page of results you want to return. Responses contain a
nextproperty. Use this property as thestartvalue to return the next page of results. - Type: integerlimit
The maximum number of results you want to retrieve per page.
- application/json
- 404
The
customer_iddoes not exist. - 429
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/customers/12345/relationships?id_type=id&start=&limit=1' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"cio_relationships": [
{
"object_type_id": 1,
"identifiers": {
"object_id": "string",
"cio_object_id": "string"
},
"attributes": {
"Object Attributes": null
},
"timestamps": {
"Object Attribute Timestamps": 1
}
}
],
"next": "string"
}Returns an array of cio_relationships.